import { jsx as _jsx } from "react/jsx-runtime";
import "./style.scss";
import "./style.scss";
import { text } from "@fortawesome/fontawesome-svg-core";
const TextArea = ({ characterCount, limit }) => {
    const handleChange = (e) => {
        characterCount(e.target.value.length);
        text(e.target.value);
    };
    return (_jsx("textarea", { className: "text-area", maxLength: limit, onChange: handleChange }));
};
export default TextArea;
